#ifndef INC_GTMODVIEW_H
#define INC_GTMODVIEW_H

#include "gtbdrman.h"

/************************************************************************\
*
* GtModView class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

/* Constants for views */
#define GTMV_UPLEFT			0
#define GTMV_UPRIGHT		1
#define GTMV_DOWNLEFT		2
#define GTMV_DOWNRIGHT	3


class GtModView : public GtBdrMan
{
public:
		/* Standard */
	GtModView(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtModView"); }
	sbool IsSubClassOf(char *cn);
		/* Layout */
	void Relayout(void);
	void SetView(int ul,int ur,int ll,int lr);
	void GetView(int *ul,int *ur,int *ll,int *lr);
protected:
		/* Internal methods */
	void Layout(void);
protected:
		/* Instance variables */
	GtWListBdr *vs[4];
	ubyte vp[4];
	ubyte ibw,space;
};

extern GtModView *GtMkModView(char *n,GtManager *p,GtTag *tgs);
extern GtModView *GtMkModView(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTMODVIEW_H */
